Subject: Re: bug#75604: bootstrap ignores --copy option

From: Pádraig Brady <[email-masked]>
Date: Thu, 16 Jan 2025 15:22:40 +0000

On 16/01/2025 15:15, Pádraig Brady wrote:
> On 16/01/2025 14:48, Bruno Haible via GNU coreutils Bug Reports wrote:
>> Hi,
>>
>> I want to test a current coreutils from git with clang's UBSAN.
>> For this, I need to apply a patch to lib/linebuffer.c and lib/mpsort.c
>> locally.
>> For this, it is not suitable if 'bootstrap' creates these files as
>> symbolic links.
>> So I run
>>
>>     $ ./bootstrap --copy --no-git --gnulib-srcdir=$GNULIB_SRCDIR
>>
>> But it *still* creates the symlinks, despite my explicit use of the
>> '--copy' option.
>>
>> This comes from bootstrap.conf line 349. It shouldn't pass the option
>> '--symlink' to gnulib-tool when I passed the '--copy' option.
> 
> Right. Since --symlink is the default, we can just drop that I think.
> I'll push the attached in a while.
> 
> Marking this as done.

Actually gnulib-tool defaults to copying,
so it'll need to be handled differently